cURL
curl --request GET \ --url https://api-m.sandbox.paypal.com/v1/commerce/billing/plans \ --header 'Authorization: Bearer <token>'
{ "plans": [ { "name": "UBB Plan - Pro", "code": "ubb_plan_1753826420", "billing_cycle": "WEEKLY", "description": "Pro plan for pro UBB customers", "amount": { "value": 160, "currency_code": "USD" }, "trial_period": 0, "pay_in_advance": true, "usage_based_charges": [ { "id": "fggdgd5c-31a6-4d74-b607-ac3915796ab9", "metric_id": "92c9175c-31a6-4d74-b607-ac3915796ab9", "charge_model": "STANDARD", "properties": { "amount": "1.00" }, "min_amount": { "value": 1, "currency_code": "USD" } } ], "minimum_commitment": { "amount": { "value": 100, "currency_code": "USD" }, "invoice_display_name": "Minimum Commitment", "id": "cc82edfd-8198-4942-bed8-fcd7afb5191e", "plan_code": "ubb_plan_1753826420", "created_at": "2025-07-31T08:41:19Z", "updated_at": "2025-07-31T08:41:19Z" }, "created_at": "2025-07-30T00:59:35Z", "id": "95de3538-3827-496b-89a0-120745360830" } ], "metadata": { "total_count": 29, "total_pages": 29, "current_page": 1 } }
Documentation IndexFetch the complete documentation index at: https://docs.paypal.ai/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.paypal.ai/llms.txt
Use this file to discover all available pages before exploring further.
Use the /v1/oauth2/token endpoint to obtain an access token and pass it as a Bearer token in the Authorization header.
Number of records per page
Page number
A list of plans
Show child attributes
Was this page helpful?